/*
Theme Name: Astra Child
Theme URI: https://wpastra.com/
Description: A child theme for Astra theme
Author: Your Name
Author URI: https://yourwebsite.com/
Template: astra
Version: 1.0.0
License: GNU General Public License v2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: astra-child
Domain Path: /languages
*/

/* Import parent theme styles */
@import url( '../astra/style.css' );


/* Add your custom styles below */


/* ------------------front page -button style through class custom-border -----------*/
.custom-border .elementor-button {
/*     background: linear-gradient(180deg, #b3003c, #7a0029); */
    color: #fff;
/*     border-radius: 50px;
    padding: 14px 35px;*/
    
    /* Top white + bottom yellow border */
/*     border: 2px solid transparent;
    border-top: 2px solid rgba(255,255,255,0.6);  */

    /* Yellow glow */
    box-shadow: 
        0 2px 0 #ffcc00, /* bottom line */
        0 0 10px rgba(255, 204, 0, 0.6),
        0 0 20px rgba(255, 204, 0, 0.4);

    transition: all 0.3s ease;
}

.custom-border .elementor-button:hover {
    box-shadow: 
        0 2px 0 #ffcc00,
        0 0 15px rgba(255, 204, 0, 0.9),
        0 0 30px rgba(255, 204, 0, 0.7);
    transform: scale(1.05);
}

/* -----------------line in heading after and before---front page--------------- */
.line-after-before .elementor-heading-title {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
}

/* Left line */
.line-after-before .elementor-heading-title::before {
    content: "";
    flex: 1;
    height: 1px;
    background: #3a2a2a; /* line color (dark brown) */
}

/* Right line */
.line-after-before .elementor-heading-title::after {
    content: "";
    flex: 1;
    height: 1px;
    background: #3a2a2a;
}

/* ------------for the arrow after in heading just product and other----------------- */
.arrow-custom-line .elementor-heading-title {
    display: flex;
    align-items: center;
    width: 100%;
    position: relative;
}

.arrow-custom-line .elementor-heading-title::after {
    content: "";
    flex-grow: 1;
    height: 2px;
    background: #000;
    margin-left: 20px;
    position: relative;
}

.arrow-custom-line .elementor-heading-title::before {
    content: "";
    position: absolute;
    right: 0;
    top: 50%;
    width: 12px;
    height: 12px;
    border-top: 2px solid #000;
    border-right: 2px solid #000;
    transform: translateY(-50%) rotate(45deg);
}




